Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6448 - on kernel-2.2.12-20 build files outside the building tree are changed
Summary: on kernel-2.2.12-20 build files outside the building tree are changed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-28 05:23 UTC by carenas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-06 05:17:25 UTC


Attachments (Terms of Use)

Description carenas 1999-10-28 05:23:02 UTC
on %install of the 2.2.12-20 spec, there is a call to

#this is kind of ugly, but we have asked for it
touch /boot/kernel.h || :

this would change a file that is not inside the
RPM_BUILD_ROOT and which belongs to the -headers subpackage
of an old kernel package.

touch RPM_BUILD_ROOT/boot/kernel.h

would be all what is needed, bit almos at the end of the
%install script there is a

> $RPM_BUILD_ROOT/boot/kernel.h

that would make this first statement unnecesary.

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 Bill Nottingham 2000-02-06 05:17:59 UTC
This is fixed in the current kernel builds.


Note You need to log in before you can comment on or make changes to this bug.